# Bitcoin Private Scam Database

### Originally by [MrLuit](https://github.com/MrLuit/EtherScamDB)

*An open-source database to keep track of all the current Bitcoin Private scams*

## Usage

Make sure you have both [Node.JS](https://nodejs.org/en/download/) and [Git](https://git-scm.com/downloads) installed.

Rename `config.example.js` to `config.js` and replace the placeholders with your keys.

Then, open a command line anywhere and run the following commands:

> git clone https://github.com/ch4ot1c/BitcoinPrivateScamDB

> npm install

> node run.js

The command line should now exit, asking you to update the config.js file with correct values. Please use your own API keys. When you're done, launch run.js again:

> node run.js

Generating should take a couple of minutes the first time or after a clean, but when `cache.json` is already present it should launch instantly.

## Flags

- `--clean` Clean up all the old files and folders
- `--update` Manually update all content

## Contribute

Fork this project and edit `_data/data.yaml`. Every item can have the following properties:

- **id**: A unique incremental integer
- **name**: The title of the scam, should probably not be longer than 64 characters
- **status**: The status of a scam. If `status` isn't provided and `url` is, status will be autogenerated with the `--update` flag  **(Optional)**
- **description**: A full description for the scam **(Optional)**
- **url**: The protocol + hostname for a scam website, without a trailing `/` **(Optional)**
- **category**: The category under which the item falls **(Optional)**
- **addresses**: An array of all BTCP addresses that were involved in this scam  **(Optional)**

## API

To make use of our database, the following API can be used: https://scams.btcprivate.org/api/

## Donate

If you would like to help without contributing on GitHub yourself, you can send some BTCP to [b1RXUJgnuxtzHyJ5UTWerh4pNBWcVikESZe](https://explorer.btcprivate.org/address/b1RXUJgnuxtzHyJ5UTWerh4pNBWcVikESZe) or [zkEyLYc45LdNmzjJ84aGFAJ8CW959FCARYNso64SPmzymozageLS9YJ6HKbHSoqjXsV7bjrDEzXVLnMQtUCTeETKehPDPU4](https://explorer.btcprivate.org/address/zkEyLYc45LdNmzjJ84aGFAJ8CW959FCARYNso64SPmzymozageLS9YJ6HKbHSoqjXsV7bjrDEzXVLnMQtUCTeETKehPDPU4):clap:
